NetApp Volumes
Upload one resumable chunk to a NetApp volume
Upload a single chunk of a file as part of a resumable upload into a NetApp volume. Call this repeatedly after POST /remotefs/v1/volumes//uploads/start until all chunks are sent, then complete the session with GET /remotefs/v1/volumes//uploads//complete. Related: POST /remotefs/v1/volumes//uploads/start (begin upload session; use returned key as query param key) Related: GET /remotefs/v1/volumes//uploads/status (check whether a chunk was already uploaded when resuming) Related: GET /remotefs/v1/volumes//uploads//complete (finalize the upload)
POST
/
webvfs
/
remotefs
/
v1
/
volumes
/
{id}
/
uploads
Upload one resumable chunk to a NetApp volume
curl --request POST \
--url https://mycluster.domino.tech/webvfs/remotefs/v1/volumes/{id}/uploads \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data 'file=<string>'import requests
url = "https://mycluster.domino.tech/webvfs/remotefs/v1/volumes/{id}/uploads"
payload = { "file": "<string>" }
headers = {"Content-Type": "application/x-www-form-urlencoded"}
response = requests.post(url, data=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/x-www-form-urlencoded'},
body: new URLSearchParams({file: '<string>'})
};
fetch('https://mycluster.domino.tech/webvfs/remotefs/v1/volumes/{id}/uploads', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://mycluster.domino.tech/webvfs/remotefs/v1/volumes/{id}/uploads",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => "file=%3Cstring%3E",
CURLOPT_HTTPHEADER => [
"Content-Type: application/x-www-form-urlencoded"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://mycluster.domino.tech/webvfs/remotefs/v1/volumes/{id}/uploads"
payload := strings.NewReader("file=%3Cstring%3E")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/x-www-form-urlencoded")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://mycluster.domino.tech/webvfs/remotefs/v1/volumes/{id}/uploads")
.header("Content-Type", "application/x-www-form-urlencoded")
.body("file=%3Cstring%3E")
.asString();require 'uri'
require 'net/http'
url = URI("https://mycluster.domino.tech/webvfs/remotefs/v1/volumes/{id}/uploads")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/x-www-form-urlencoded'
request.body = "file=%3Cstring%3E"
response = http.request(request)
puts response.read_body"<string>"{
"message": "Bad Request",
"success": false
}{
"message": "Bad Request",
"success": false
}{
"message": "Bad Request",
"success": false
}Path Parameters
Query Parameters
Response
Upload session key (same as query param key)
The response is of type string.
Was this page helpful?
⌘I
Upload one resumable chunk to a NetApp volume
curl --request POST \
--url https://mycluster.domino.tech/webvfs/remotefs/v1/volumes/{id}/uploads \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data 'file=<string>'import requests
url = "https://mycluster.domino.tech/webvfs/remotefs/v1/volumes/{id}/uploads"
payload = { "file": "<string>" }
headers = {"Content-Type": "application/x-www-form-urlencoded"}
response = requests.post(url, data=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/x-www-form-urlencoded'},
body: new URLSearchParams({file: '<string>'})
};
fetch('https://mycluster.domino.tech/webvfs/remotefs/v1/volumes/{id}/uploads', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://mycluster.domino.tech/webvfs/remotefs/v1/volumes/{id}/uploads",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => "file=%3Cstring%3E",
CURLOPT_HTTPHEADER => [
"Content-Type: application/x-www-form-urlencoded"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://mycluster.domino.tech/webvfs/remotefs/v1/volumes/{id}/uploads"
payload := strings.NewReader("file=%3Cstring%3E")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/x-www-form-urlencoded")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://mycluster.domino.tech/webvfs/remotefs/v1/volumes/{id}/uploads")
.header("Content-Type", "application/x-www-form-urlencoded")
.body("file=%3Cstring%3E")
.asString();require 'uri'
require 'net/http'
url = URI("https://mycluster.domino.tech/webvfs/remotefs/v1/volumes/{id}/uploads")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/x-www-form-urlencoded'
request.body = "file=%3Cstring%3E"
response = http.request(request)
puts response.read_body"<string>"{
"message": "Bad Request",
"success": false
}{
"message": "Bad Request",
"success": false
}{
"message": "Bad Request",
"success": false
}